Subject: Re: linux-next: manual merge of the char-misc tree with the mfd tree

From: Lee Jones <[email-masked]>
Date: Mon, 28 Feb 2022 09:01:49 +0000

On Mon, 28 Feb 2022, Stephen Rothwell wrote:

> Hi all,
> 
> Today's linux-next merge of the char-misc tree got a conflict in:

I did ask for this *not* to be merged when it was in -testing.

I'll follow-up with Greg.

>   drivers/mfd/simple-mfd-i2c.c
> 
> between commit:
> 
>   5913eb45d036 ("mfd: simple-mfd-i2c: Enable support for the silergy,sy7636a")
> 
> from the mfd tree and commit:
> 
>   d0cac2434c8e ("mfd: simple-mfd-i2c: Add Delta TN48M CPLD support")
> 
> from the char-misc tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 

-- 
Lee Jones [李琼斯]
Principal Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog